<div align="right">Language: :us:
<a title="Chinese" href="../docs/zh-CN/CODE_OF_CONDUCT.md">:cn:</a>
<a title="Russian" href="../docs/ru/CODE_OF_CONDUCT.md">:ru:</a></div>

# <div align="center"><a title="Go to homepage" href="https://theme-next.org"><img align="center" width="56" height="56" src="https://raw.githubusercontent.com/theme-next/hexo-theme-next/master/source/images/logo.svg?sanitize=true"></a> e x T</div>

[NexT](https://theme-next.org) 是一个优雅而强大的 [Hexo](https://hexo.io/)主题。在这里，您可以构建一个托管在 [GitHub Pages](https://pages.github.com/) 上的静态博客，分享您的生活，并与新朋友进行交流。

参与者公约用来约束在 [NexT](https://github.com/theme-next/hexo-theme-next) 社区中代码更新、问题交流、请求合并等行为。我们期望所有用户相互尊重，礼貌待人。任何违反这些规则的人都将不会被审核，并会在发现后立即被阻止和驱逐。

## 目录

- [我们的保证](#our-pledge)
- [我们的责任](#our-responsibilities)
- [我们的标准](#our-standards)
- [使用范围](#scope)
- [强制执行](#enforcement)
- [联系项目维护者](#contacting-maintainers)
- [来源](#attribution)

<a name="our-pledge"></a>
## 我们的保证

作为此项目的贡献者和维护者，我们承诺尊重所有做出贡献的用户，这些贡献包括了报告问题、发布功能请求、更新文档、提交合并请求以及其他活动。

为了促进一个开放透明且友好的环境，我们作为贡献者和维护者保证：无论年龄、种族、民族、性别认同和表达（方式）、体型、身体健全与否、经验水平、国籍、个人表现、宗教或性别取向，参与者在我们项目和社区中都免于骚扰。

<a name="our-responsibilities"></a>
## 我们的责任

项目维护者有责任为「可接受的行为」标准做出诠释，有权利及责任去删除、编辑、拒绝与本行为标准有所违背的评论（comments）、提交（commits）、代码、wiki 编辑、问题（issues）和其他贡献，以及项目维护者可暂时或永久性的禁止任何他们认为有不适当、威胁、冒犯、有害行为的贡献者。

<a name="our-standards"></a>
## 我们的标准

作为 GitHub 上的一个项目，本项目受到 [GitHub 社区准则](https://help.github.com/articles/github-community-guidelines/)的约束。 此外，作为 npm 托管的项目，[npm 公司的行为准则](https://www.npmjs.com/policies/conduct)也涵盖了本项目。

有助于创造正面环境的行为包括但不限于：

* 使用友好和包容性语言
* 尊重不同的观点和经历
* 耐心地接受建设性批评
* 关注对社区最有利的事情
* 友善对待其他社区成员

身为参与者不能接受的行为包括但不限于：

* 使用与性有关的言语或是图像，以及不受欢迎的性骚扰
* 捣乱/煽动/造谣的行为或进行侮辱/贬损的评论，人身攻击及政治攻击
* 公开或私下的骚扰
* 未经许可地发布他人的个人资料，例如住址或是电子地址
* 其他可以被合理地认定为不恰当或者违反职业操守的行为

<a name="scope"></a>
## 使用范围

当一个人代表该项目或是其社区时，本行为标准适用于其项目社区和公共社区。

根据某人在本社区范围以外发生的违规情况，项目维护者可以认为其不受欢迎，并采取适当措施来保证所有成员的安全性和舒适性。

<a name="enforcement"></a>
## 强制执行

如果您看到违反行为准则的行为，请按以下步骤操作：

1. 让这个人知道他所做的并不合适，并要求他停止或编辑他们的提交信息。该人应立即停止行为并纠正问题。
2. 如果该人没有纠正其行为，或者您不方便与其沟通，请[联系项目维护者](#contacting-maintainers)。上报时，请尽可能多的提供详细信息，链接，截图，上下文或可用于更好地理解和解决情况的其他信息。
3. 收到上报信息后，项目维护者会查看问题，并采取进一步的措施。

一旦项目维护者参与其中，他们将遵循以下一系列步骤，并尽力保护项目成员的利益。任何维护团队认为有必要且适合的所有投诉都将进行审查及调查，并做出相对应的回应。项目小组有对事件回报者有保密的义务。具体执行的方针近一步细节可能会单独公布。

以下是项目维护者根据需要采取的进一步执法步骤：

1. 再次要求停止违规行为。
2. 如果违规者还是没有回应，将会受到正式的警告，并收到项目维护者的移除或修改消息。同时，相关的问题或合并请求将会被锁定。
3. 如果警告后违规行为继续出现，违规者将会被禁言 24 小时。
4. 如果禁言后违规行为继续出现，违规者将会被处罚长期（6-12个月）禁言。

除此之外，项目维护者可以根据需要删除任何违规的消息，图片，贡献等。如果违规行为被认为是对社区成员的严重或直接威胁，包括任何置社区成员于风险的威胁、身体或言语攻击，项目维护者有充分权利自行决定跳过上述任何步骤。

没有切实地遵守或是执行本行为标准的项目维护人员，可能会因项目领导人或是其他成员的决定，暂时或是永久地取消其参与资格。

<a name="contacting-maintainers"></a>
## 联系项目维护者

您可以通过以下任何方法与维护人员联系

* 电子邮件:
    * [support@theme-next.org](mailto:support@theme-next.org)

* 即时通信:
    * [Gitter](https://gitter.im/theme-next)
    * [Riot](https://riot.im/app/#/room/#NexT:matrix.org)
    * [Telegram](https://t.me/joinchat/GUNHXA-vZkgSMuimL1VmMw)

<a name="attribution"></a>
## 来源

本行为标准改编自[Contributor Covenant](https://www.contributor-covenant.org/) 和 [WeAllJS Code of Conduct](https://wealljs.org/code-of-conduct)。
